#./transformer ~/research/invariants/java/daikon ~/research/invariants/java/daikon_trans/daikon
echo clone transformation
./transformer ~/workspace/jsr308-compiler-0.1.1/dist/lib/ ~/workspace/jsr308-compiler-0.1.1/dist_clone/lib/ -skip_main -use_clone
./transformer ~/workspace/jsr308-checkers-0.1.1/build ~/workspace/jsr308-checkers-0.1.1/build_clone -use_clone
./transformer ~/workspace/svnkit/build/lib ~/workspace/svnkit/build/lib_clone/ -use_clone
./transformer ~/workspace/eclipsec_632/bin ~/workspace/eclipsec_632/bin_clone -use_clone

#Immutabiliy
echo imutability used clone transformation
#./transformer ~/workspace/jsr308-compiler-0.1.1/dist/lib/ ~/workspace/jsr308-compiler-0.1.1/dist_imm/lib/ -skip_main -use_clone
#./transformer ~/workspace/jsr308-checkers-0.1.1/build ~/workspace/jsr308-checkers-0.1.1/build_imm -use_clone
./transformer ~/workspace/svnkit/build/lib ~/workspace/svnkit/build/lib_imm/ -use_clone -mut_data /afs/csail.mit.edu/u/h/hunkim/workspace/reCrash/traces/svnkit_baseline-immutable
./transformer ~/workspace/eclipsec_632/bin ~/workspace/eclipsec_632/bin_imm -use_clone -mut_data ~/workspace/reCrash/traces/eclipsec_baseline-immutable

# ref
echo ref  transformation
./transformer ~/workspace/svnkit/build/lib ~/workspace/svnkit/build/lib_ref/
./transformer ~/workspace/eclipsec_632/bin ~/workspace/eclipsec_632/bin_ref


# use serialization
echo serialization
#./transformer ~/workspace/jsr308-compiler-0.1.1/dist/lib/ ~/workspace/jsr308-compiler-0.1.1/dist_serialization/lib/ -skip_main -use_serialization
#./transformer ~/workspace/jsr308-checkers-0.1.1/build ~/workspace/jsr308-checkers-0.1.1/build_serialization -use_serialization
./transformer ~/workspace/svnkit/build/lib ~/workspace/svnkit/build/lib_serialization -use_serialization
./transformer ~/workspace/eclipsec_632/bin ~/workspace/eclipsec_632/bin_serialization -use_serialization

#second chance
echo second chance transformation
#./transformer ~/workspace/jsr308-compiler-0.1.1/dist/lib/ ~/workspace/jsr308-compiler-0.1.1/dist_sc/lib/ -skip_main -use_clone \
# -second_chance /afs/csail.mit.edu/u/h/hunkim/workspace/reCrash/traces/second_chance_backtrace.dat
#./transformer ~/workspace/jsr308-checkers-0.1.1/build ~/workspace/jsr308-checkers-0.1.1/build_sc -use_clone \
# -second_chance /afs/csail.mit.edu/u/h/hunkim/workspace/reCrash/traces/second_chance_backtrace.dat
./transformer ~/workspace/svnkit/build/lib ~/workspace/svnkit/build/lib_sc_clone/ -use_clone \
 -second_chance /afs/csail.mit.edu/u/h/hunkim/workspace/reCrash/traces/second_chance_backtrace.dat
./transformer ~/workspace/eclipsec_632/bin ~/workspace/eclipsec_632/bin_sc_clone -use_clone \
 -second_chance /afs/csail.mit.edu/u/h/hunkim/workspace/reCrash/traces/second_chance_backtrace.dat

#Immutabiliy
echo imutability used clone transformation
./transformer ~/workspace/svnkit/build/lib ~/workspace/svnkit/build/lib_sc_imm/ -use_clone \
  -mut_data /afs/csail.mit.edu/u/h/hunkim/workspace/reCrash/traces/svnkit_baseline-immutable\
 -second_chance /afs/csail.mit.edu/u/h/hunkim/workspace/reCrash/traces/second_chance_backtrace.dat
./transformer ~/workspace/eclipsec_632/bin ~/workspace/eclipsec_632/bin_sc_imm -use_clone \
  -mut_data ~/workspace/reCrash/traces/eclipsec_baseline-immutable\
 -second_chance /afs/csail.mit.edu/u/h/hunkim/workspace/reCrash/traces/second_chance_backtrace.dat

# ref
echo ref  transformation
./transformer ~/workspace/svnkit/build/lib ~/workspace/svnkit/build/lib_sc_ref \
 -second_chance /afs/csail.mit.edu/u/h/hunkim/workspace/reCrash/traces/second_chance_backtrace.dat
./transformer ~/workspace/eclipsec_632/bin ~/workspace/eclipsec_632/bin_sc_ref \
 -second_chance /afs/csail.mit.edu/u/h/hunkim/workspace/reCrash/traces/second_chance_backtrace.dat

# use serialization
echo serialization
./transformer ~/workspace/jsr308-compiler-0.1.1/dist/lib/ ~/workspace/jsr308-compiler-0.1.1/dist_sc_serialization/lib/ -skip_main -use_serialization \
 -second_chance /afs/csail.mit.edu/u/h/hunkim/workspace/reCrash/traces/second_chance_backtrace.dat
./transformer ~/workspace/jsr308-checkers-0.1.1/build ~/workspace/jsr308-checkers-0.1.1/build_sc_serialization -use_serialization \
 -second_chance /afs/csail.mit.edu/u/h/hunkim/workspace/reCrash/traces/second_chance_backtrace.dat
./transformer ~/workspace/svnkit/build/lib ~/workspace/svnkit/build/lib_sc_serialization -use_serialization \
 -second_chance /afs/csail.mit.edu/u/h/hunkim/workspace/reCrash/traces/second_chance_backtrace.dat
./transformer ~/workspace/eclipsec_632/bin ~/workspace/eclipsec_632/bin_sc_serialization -use_serialization \
 -second_chance /afs/csail.mit.edu/u/h/hunkim/workspace/reCrash/traces/second_chance_backtrace.dat
